commit:     336f8b9dcce1567409471184bd61e3db374e09cc
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 10:35:33 2018 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Wed Jun 27 15:24:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=336f8b9d

dev-util/buildbot-wsgi-dashboards: Version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-util/buildbot-wsgi-dashboards/Manifest         |  1 +
 .../buildbot-wsgi-dashboards-1.1.2.ebuild          | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-util/buildbot-wsgi-dashboards/Manifest 
b/dev-util/buildbot-wsgi-dashboards/Manifest
index 9e9543b3ddc..090cadcd3fd 100644
--- a/dev-util/buildbot-wsgi-dashboards/Manifest
+++ b/dev-util/buildbot-wsgi-dashboards/Manifest
@@ -2,3 +2,4 @@ DIST buildbot-wsgi-dashboards-0.9.12.tar.gz 627274 BLAKE2B 
26632ddd1577e9c419d13
 DIST buildbot-wsgi-dashboards-0.9.13.tar.gz 627272 BLAKE2B 
1b4b8b6a0eed9572923a0dba24a9194557074e84640cf57141014a92294c56f22330566ae995bfa5e6be63640549e42e5aae01911df6989dbe4861b7ca5544f8
 SHA512 
08eedef62e85d71cbfde0f57727974a2bc1a9d33fc3821aaeb3a003df3b212c2b1ce00afa986dad062415b0bf8d8a9c0c328810e9d3fc994cdcbb82de2037366
 DIST buildbot-wsgi-dashboards-0.9.15.post1.tar.gz 626856 BLAKE2B 
13104173594f1f5326221cac1839b44e792212c772730f0632f8528e55f5249d61b72c97cce7e51b6b3a82b2490a7654b7deea04ba61da13158e6d40e0021429
 SHA512 
5bd089d38a87e1e1dd03343b96824dc227e35268971b9b541e761c289042412b7dd0bc42df2fc9c28da5933a995c5bdf7af7bc7aafff999ce2f9431881bbd58e
 DIST buildbot-wsgi-dashboards-1.1.0.tar.gz 626836 BLAKE2B 
f7323073f644e6b6b89595aa052ae1bc25d14b439c3d1d0f3601eb4a62b07563ef12a97bde8997495fe6260e31de55a29b220f48c0b794761e077de77ccd0246
 SHA512 
799c2a28bd874c864264247fa0d030b3335d63bec88cfc7637b8456615c0c299de4df91557178e5d3358450fea89ed0ddb82ae27bbf8304dc3b7f9711ce69e94
+DIST buildbot-wsgi-dashboards-1.1.2.tar.gz 626825 BLAKE2B 
396fa858cafd6dc3958c37ea2e9e685357de2185ce0b73d946d3eb2e99472339e176de1b49d821337535904c521e8dbaa662217c568306e7b2d889d11fdeb5ed
 SHA512 
1eee2a38b525145e50812dff421613291f6b0b6a80a531b54383d771393d2a12c1c7840e2dabf7949918ac3f31ce5f6bd9514c08dee8fe5900c99438e63d4ee2

diff --git 
a/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-1.1.2.ebuild 
b/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-1.1.2.ebuild
new file mode 100644
index 00000000000..d40978a5739
--- /dev/null
+++ b/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-1.1.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git";
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit distutils-r1
+
+DESCRIPTION="Buildbot plugin to integrate flask or bottle dashboards to 
buildbot UI"
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot 
https://pypi.org/project/buildbot-wsgi-dashboards/";
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]]; then
+       KEYWORDS=""
+else
+       KEYWORDS="~amd64"
+fi
+
+IUSE="test"
+
+RDEPEND=""
+
+DEPEND="${RDEPEND}
+       >=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-${PV}[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+#[[ ${PV} == *9999 ]] && S=${S}/www/base
+
+python_test() {
+       distutils_install_for_testing
+
+       esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+}

Reply via email to